import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Explosion here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Explosion extends Front
{
    private int lifeCount = 0;
    
    private int ANIMATESPEED = 5; 
    
    private static GreenfootImage[] images;
    private static final int IMAGECOUNT = 7;

    public Explosion()
    {
        createImages();
    }
    
    public void createImages()
    {
        if (images == null)
        {
            images = new GreenfootImage[IMAGECOUNT];
            for (int i = 0; i < images.length; i++)
            {
                String imageName = "explo" + (i + 1) + ".png";
                images[i] = new GreenfootImage(imageName);
             }
        }
    }
    
    /**
     * Act - do whatever the Explosion wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        scrollingMethods();
        lifeCount++;
        animate();
    }    
    
    public void animate()
    {
        ScrollingWorld theWorld = (ScrollingWorld) getWorld();
        if (lifeCount < 35)
        {
            if (lifeCount % 5 == 0)
            {
                setImage("explo" + (lifeCount / ANIMATESPEED) + ".png"); 
            }
        }
        else
        {
            theWorld.removeObject(this);
        }
    }
}
