import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Fire here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Fire extends Front
{
    private int age = 100;
    private int travelDirection = 1;    
    private static final int FIRESPEED = 15;

    public Fire(int x)
    {
        travelDirection = travelDirection * x;
        if (travelDirection == -1)
        {
            getImage().mirrorHorizontally();
        }
    }

    public Fire(int x, String y)
    {
        travelDirection = travelDirection * x;
        if (y == "RED")
        {
            setImage("bullet2.png");
        }
        if (travelDirection == -1)
        {
            getImage().mirrorHorizontally();
        }
    }
    
    public Fire(double x, int y, String z)
    {
        setRotation( (int) (180 + x));
        travelDirection = y;
        if (z == "RED")
        {
            setImage("bullet2.png");
        }
    }
    
    public void addedToWorld(World world)
    {
        Greenfoot.playSound("Plasma.wav");
    }

    /**
     * Act - do whatever the Fire wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        scrollingMethods();
        move(travelDirection * FIRESPEED);
        checkAge();
    }    

    public void checkAge()
    {
        if (age > 0)
        {
            age = age - 1;
        }
        else
        {
            removeFire();
        }
    }

    public void removeFire()
    {
        ScrollingWorld theWorld = (ScrollingWorld) getWorld();
        theWorld.removeObject(this);
    }
}
