import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;
import java.io.*;
import java.util.Scanner;

/**
 * Write a description of class Instructions here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MainInstructions extends Statics
{
    public static final float FONT_SIZE = 80.0f;
    public static final int WIDTH = 800;
    public static final int HEIGHT = 600;

    private static final int INSTRUCT_SIZE = 3;

    String[] instructions = new String[INSTRUCT_SIZE];

    public MainInstructions()
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        readFile();
        
        image.setColor(new Color(200, 200, 200, 255));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 255));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(new Color(200, 200, 200, 255));
        image.drawString("Instructions:", 180, 100);
        font = font.deriveFont(FONT_SIZE / 2);
        image.setFont(font);
        image.drawString(instructions[0], 180, 300);
        image.drawString(instructions[1], 220, 400);
        image.drawString(instructions[2], 280, 500);
        setImage(image); 
    }

    private void readFile()
    {
        InputStream istream =
            getClass().getResourceAsStream("instructions.txt");
        Scanner in = new Scanner(
                new BufferedReader(
                    new InputStreamReader(istream)));
        for (int i = 0; i < instructions.length; i++)
        {
            instructions[i] = in.nextLine();
        }
        in.close();
    }

    /**
     * Act - do whatever the Instructions wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        ScrollingWorld theWorld = (ScrollingWorld) getWorld();
        theWorld.removeObject(this);
    }    

}