import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.io.*;
import java.util.Scanner;
import java.awt.Color;

/**
 * Write a description of class Credits here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Credits extends Statics
{
    public static final float FONT_SIZE = 40.0f;
    public static final int WIDTH = 800;
    public static final int HEIGHT = 600;

    private static final int CREDITS_SIZE = 15;
    String[] credits = new String[CREDITS_SIZE];

    GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);
    public Credits(int x)
    {
        readFile();

        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(new Color(255, 255, 255, 255));
        if (x == 0)
        {
            image.drawString(credits[x], 520, 200);
            image.drawString(credits[x + 1], 490, 300);
            image.drawString(credits[x + 2], 470, 400);
            setImage(image);
        }
        if (x == 3)
        {
            image.drawString(credits[x], 150, 400);
            image.drawString(credits[x + 1], 190, 450);
            image.drawString(credits[x + 2], 100, 500);
            setImage(image);
        }
        if (x == 6)
        {
            image.drawString(credits[x], 540, 400);
            image.drawString(credits[x + 1], 570, 450);
            image.drawString(credits[x + 2], 430, 500);
            setImage(image);
        }
        if (x == 9)
        {
            image.drawString(credits[x], 130, 100);
            image.drawString(credits[x + 1], 160, 175);
            image.drawString(credits[x + 2], 100, 250);
            setImage(image);
        }
        if (x == 12)
        {
            image.drawString(credits[x], 490, 100);
            image.drawString(credits[x + 1], 450, 175);
            image.drawString(credits[x + 2], 380, 250);
            setImage(image);
        }
    }

    private void readFile()
    {
        InputStream istream =
            getClass().getResourceAsStream("credits.txt");
        Scanner in = new Scanner(
                new BufferedReader(
                    new InputStreamReader(istream)));
        for (int i = 0; i < credits.length; i++)
        {
            credits[i] = in.nextLine();
        }
        in.close();
    }

    /**
     * Act - do whatever the Credits wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        fade();
    }    

    public void fade()
    {
        int x = image.getTransparency() - 1;
        if (x >= 0)
        {
            image.setTransparency(x);
        }
        else
        {
            image.setTransparency(0);
        }
    }

}
