import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Sniper here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Sniper extends Enemies
{
    private static final int AGGRORANGE = 500;
    private static final int REFIRERATE = 80;

    private int healthTotal = 100;

    private int refireTimer = 0;

    /**
     * Act - do whatever the Sniper wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        scrollingMethods();
        checkForPlayer();
        refireTimer--;
        checkForFire();
    }    

    public void checkForPlayer()
    {
        ScrollingWorld theWorld = (ScrollingWorld) getWorld();
        if (getObjectsInRange(AGGRORANGE, Player.class).size() > 0)
        {
            if (theWorld.getPlayer().getX() > getX())
            {
                setImage("Sniper0.png");
            }
            else
            {
                setImage("Sniper0.png");
                getImage().mirrorHorizontally();
            }
            checkRefireTimer();
        }
    }

    public void checkRefireTimer()
    {
        if (refireTimer < 1)
        {
            fire();
            refireTimer = REFIRERATE;
        }
    }

    public void fire()
    {
        ScrollingWorld theWorld = (ScrollingWorld) getWorld();
        int targetX = theWorld.getPlayer().getX();
        int targetY = theWorld.getPlayer().getY();
        if (theWorld.getPlayer().getX() < getX())
        {
            double fireAngle = Math.toDegrees(Math.atan2(getY() - targetY , (getX() - 60) - targetX));  
            theWorld.addObject(new Fire(fireAngle, 1, "RED"), getX() - 65, getY()  );
        }
        if (theWorld.getPlayer().getX() > getX())
        {
            double fireAngle = Math.toDegrees(Math.atan2(getY() - targetY , (getX() + 60) - targetX));
            theWorld.addObject(new Fire(fireAngle, 1, "RED"), getX() + 65, getY()  );
        }
    }
    
    public void checkForFire()
    {
        ScrollingWorld theWorld = (ScrollingWorld) getWorld();
        Actor fire = getOneIntersectingObject(Fire.class);
        if (fire != null)
        {
            healthTotal = healthTotal - 20;
            theWorld.removeObject(fire);
        }
        if (healthTotal < 0)
        {
            theWorld.addObject(new Explosion(),getX(), getY());
            theWorld.removeObject(this);
        }
    }
}
